//
// authour: Gregg Edghill
// Copyright (C) 2004, Gregg Edghill (gs_edghill@hotmail.com)
//
// misc.cpp
//

#include "button.h"

namespace KDecorationWhid
{
	//
	// change the color of an image
	//
	QImage recolorImage(QImage *that, QColor newcolor)
	{
		int width=that->width(), height=that->height();

		QImage recoloredImage(width, height, 32);
		recoloredImage.setAlphaBuffer(true);

		for(int x=0; x < width; ++ x)
			for(int y=0; y < height; ++y)
			{
				if(that->pixel(x, y) == qRgb(0, 0, 255)) recoloredImage.setPixel(x, y, newcolor.rgb());
				else recoloredImage.setPixel(x, y, qRgba(0, 0, 0, 0));
			}

		return (recoloredImage);
	}
}
