#!/bin/sh

if [ "$1" == "--short" ]
then
	make > /dev/null && echo "compile succeeded"
	if [ "$?" != "0" ]
	then
		echo "compile failed"
	fi
elif [ "$1" == "--clean" ]
then
	make clean
elif [ "$1" == "--install" ]
then
	sudo make install
elif [ "$1" == "--uninstall" ]
then
	sudo make uninstall
else
	./configure --prefix=`kde-config --prefix` && make > /dev/null && echo "compile succeeded"
	if [ "$?" != "0" ]
	then
		echo "compile failed"
	fi
fi
